Commet
  • Pricing
Log InTry out
Get transaction GETList transactions GETRefund transaction POSTRetry transaction POST
DocumentationKnowledge BaseBuild with AIAPI ReferenceWebhooks

Refund transaction

Issue a full refund for a payment transaction.

List transactions GET

List payment transactions with cursor-based pagination. Filter by status or customer email.

Retry transaction POST

Retry a failed payment transaction. Creates a new invoice and initiates a new payment attempt.

POST
/transactions/{id}/refund

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Path Parameters

id*string

Response Body

application/json

application/json

application/json

curl -X POST "https://commet.co/api/v1/transactions/string/refund"

Issue a full refund for a payment transaction.

Transaction public ID

{
  "success": true,
  "data": {
    "id": "string",
    "status": "refunded"
  }
}
{
  "success": false,
  "error": {
    "type": "validation_error",
    "code": "string",
    "message": "string",
    "doc_url": "string",
    "param": "string"
  }
}
{
  "success": false,
  "error": {
    "type": "validation_error",
    "code": "string",
    "message": "string",
    "doc_url": "string",
    "param": "string"
  }
}